Overview | Package | Class | Use | Tree | Index | Help
| Java Debug Interface
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jdi
Interface ClassLoaderReference

All Superinterfaces:
  Mirror, ObjectReference, Value

public interface ClassLoaderReference
extends ObjectReference

A class loader object from the target VM. A ClassLoaderReference is an `ObjectReference` with additional access to classloader-specific information from the target VM. Instances ClassLoaderReference are obtained through calls to `ReferenceType.classLoader()`

Since:
  1.3
See Also:
  `ObjectReference`

Fields inherited from interface com.sun.jdi.ObjectReference
`INVOKE_NONVIRTUAL, INVOKE_SINGLE_THREADED`

Method Summary
`List` | `definedClasses()` Returns a list of all loaded classes that were defined by this class loader.
`List` | `visibleClasses()` Returns a list of all classes for which this class loader has been recorded as the initiating loader in the target VM.

Methods inherited from interface com.sun.jdi.ObjectReference
`disableCollection, enableCollection, entryCount, equals, getValue, getValues, hashCode, invokeMethod, isCollected, owningThread, referenceType, setValue, uniqueID, waitingThreads`

Methods inherited from interface com.sun.jdi.Value
`type`

Methods inherited from interface com.sun.jdi.Mirror
`toString, virtualMachine`

Method Detail

### definedClasses

    public List definedClasses()

  Returns a list of all loaded classes that were defined by this class loader. No ordering of this list guaranteed.
  Returns:
    a List of `ReferenceType` objects mirroring types loaded by this class loader. The list has length 0 if no types have been defined by this classloader.
  Throws:
    `ObjectCollectedException` - if this object has been garbage collected.

### visibleClasses

    public List visibleClasses()

  Returns a list of all classes for which this class loader has been recorded as the initiating loader in the target VM. The list contains ReferenceTypes defined directly by this loader (as returned by `#definedTypes`) and any types for which loading was delegated by this class loader to another class loader.

  The visible class list has useful properties with respect to the type namespace. A particular type name will occur at most once in the list. Each field or variable declared with that type name in a class defined by this class loader must be resolved to that single type.

  No ordering of the returned list is guaranteed.

  See section 5.3 of the revised JVM specification for more information on initiating classloader.

  Returns:
    a List of `ReferenceType` objects mirroring classes initiated by this class loader. The list has length 0 if no classes are visible to this classloader.
  Throws:
    `ObjectCollectedException` - if this object has been garbage collected.

Overview | Package | Class | Use | Tree | Index | Help
| Java Debug Interface
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD